Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.model.mail
Class SearchResultsModel

    java.lang.Object
      portlets.compoze.groupware.model.AbstractModel
          portlets.compoze.groupware.model.mail.MailModel
              portlets.compoze.groupware.model.mail.SearchResultsModel

All Implemented Interfaces:
  java.io.Serializable

public class SearchResultsModel
extends MailModel
implements java.io.Serializable

This class represents the data model for the search results page (`search_results.jsp`).

See Also:
  Serialized Form

Field Summary

Fields inherited from class portlets.compoze.groupware.model.mail.MailModel
`QUICK_VIEW_ALL, QUICK_VIEW_HIGH_PRIORITY, QUICK_VIEW_UNREAD`

Constructor Summary
`SearchResultsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities, FeatureGroup featureGroup, GroupwarePreferences groupwarePrefs, MailPreferences mailPrefs, Accounts accounts)` Constructor.

Method Summary
`Message[]` | `getMessages()` Gets the messages.
`Pagination` | `getPagination()` Gets the pagination.
`SortProperty` | `getSortProperty()` Gets the sort property.
`void` | `setMessages(Message[] messages)` Sets the messages.
`void` | `setPagination(Pagination pagination)` Sets the pagination.
`void` | `setSortProperty(SortProperty sortProperty)` Sets the sort property.

Methods inherited from class portlets.compoze.groupware.model.mail.MailModel
`getFolderNavigation, getInboxFolderID, getMailPreferences, setInboxFolderID`

Methods inherited from class portlets.compoze.groupware.model.AbstractModel
`getAccounts, getActualTitle, getFeatureGroup, getGroupwarePreferences, getImAccount, getProviderCapabilities, getTitle, getTitleArgs, getTitleCrumbTrailKeys, isImAvailable, setActualTitle, setImAccount, setImAvailable, setTitle, setTitleArgs, setTitleCrumbTrailKeys`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchResultsModel

    public SearchResultsModel(portlets.compoze.groupware.controls.provider.ProviderCapabilities capabilities,
                              FeatureGroup featureGroup,
                              GroupwarePreferences groupwarePrefs,
                              MailPreferences mailPrefs,
                              Accounts accounts)

  Constructor.

Parameters:
  `capabilities` - the capabilities of the provider (may not be `null`)
  `featureGroup` - the feature group (may not be `null`)
  `groupwarePrefs` - the groupware preferences (may not be `null`)
  `mailPrefs` - the mail preferences (may not be `null`)

Method Detail

### setMessages

    public void setMessages(Message[] messages)

  Sets the messages.

  Parameters:
    `messages` - an array of messages (may not be `null`)

### getMessages

    public Message[] getMessages()

  Gets the messages.

  Returns:
    an array of messages or an empty array for none

### getPagination

    public Pagination getPagination()

  Gets the pagination.

  Returns:
    the pagination

### setPagination

    public void setPagination(Pagination pagination)

  Sets the pagination.

  Parameters:
    `pagination` - the pagination (may not be `null`)

### getSortProperty

    public SortProperty getSortProperty()

  Gets the sort property.

  Returns:
    the sort property

### setSortProperty

    public void setSortProperty(SortProperty sortProperty)

  Sets the sort property.

  Parameters:
    `sortProperty` - the sort property (may not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.